org.apache.maven.shared.io.scan

## Interface ResourceInclusionScanner

All Known Implementing Classes:
  AbstractResourceInclusionScanner, SimpleResourceInclusionScanner, StaleResourceScanner

    public interface ResourceInclusionScanner

Version:
  $Id: ResourceInclusionScanner.java 1719477 2015-12-11 17:33:58Z khmarbaise $
Author:
  jdcasey

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addSourceMapping(SourceMapping sourceMapping)`
`Set<File>` `getIncludedSources(File sourceDir, File targetDir)`

### Method Detail

#### addSourceMapping

    void addSourceMapping(SourceMapping sourceMapping)

Parameters:
  `sourceMapping` - `SourceMapping`

#### getIncludedSources

    Set<File> getIncludedSources(File sourceDir,
                                 File targetDir)
                          throws InclusionScanException

Parameters:
  `sourceDir` - `File`
  `targetDir` - `File`
Returns:
  The included sources.
Throws:
  `InclusionScanException` - in case of an error.